<script setup>
import { defineProps, computed } from "vue";

const props = defineProps({
  currentLocation: undefined,
  currentProject: {},
});

const insideActiveProject = computed(() => {
  return props.currentProject !== undefined;
});
</script>

<template>
  <div
    class="bg-gray-900 rounded-t-lg -mt-5 absolute bottom-0 w-full z-10 px-5 pt-2 pb-5"
  >
    <div class="w-10 h-1 bg-gray-500 rounded mx-auto mb-5"></div>
    <div class="flex -mx-3">
      <div class="w-full px-3 text-center">
        <div class="text-3xl font-extrabold leading-tight mb-2 text-gray-200">
          <RouterLink to="/result">Space Vote</RouterLink>
        </div>
        <div class="text-xs leading-none mb-2 text-gray-200">
          <p v-if="insideActiveProject">
            Make your presence count for
            {{ currentProject.projectTitle }}
          </p>
          <p v-else-if="currentLocation">
            There are no projects around you
          </p>
          <p v-else>
            ⚠️ No location. To get started, click on the geolocate button in the
            top right corner to locate yourself.
          </p>
        </div>
      </div>
    </div>
    <hr class="border-gray-800 my-5" />
    <div class="flex -mx-3">
      <div class="w-full px-3">
        <RouterLink to="/project" :project="currentProject">
          <button
            class="block w-full rounded-lg p-4 border text-center text-sm"
            :class="{
              'bg-indigo-500': insideActiveProject,
              'border-indigo-500': insideActiveProject,
              'text-gray-200': insideActiveProject,
              'border-gray-800': !insideActiveProject,
              'text-gray-700': !insideActiveProject,
            }"
            :disabled="!insideActiveProject"
          >
            START
          </button>
        </RouterLink>
      </div>
    </div>
  </div>
</template>

<!-- <style>
.bg-gray-1000 {
  background-color: #0d1015;
}
.rounded-xl {
  border-radius: 1rem;
}
</style> -->
